@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chivo:wght@800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital@1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

body{
    background: black;
}

*{
    margin: 0;
    padding: 0;
}

.menu{
    background: #000000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;
}

.menu .logo img{
    width: 250px;
    height: 83px;
}

.menu ul{
    display: flex;
    gap: 50px;
}

.menu ul li{
    list-style: none;
}

.menu ul li a{
    text-decoration: none;
    color: white;
    font-family: 'Lato', sans-serif;
    font-size: 20px;
    letter-spacing: 1px;
}

.menu ul li a:hover{
    color: turquoise;
    text-shadow: 0 0 3px turquoise;
}

.ham{
    display: none;
}

#checkbox {
  display: none;
}

.toggle {
  position: relative;
  width: 40px;
  height: 40px;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 10px;
  transition-duration: .5s;
}

.bars {
  width: 100%;
  height: 4px;
  background-color: white;
  border-radius: 4px;
}

#bar2 {
  transition-duration: .8s;
  background-color: turquoise;
}

#bar1,#bar3 {
  width: 70%;
}

#checkbox:checked + .toggle .bars {
  position: absolute;
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar2 {
  transform: scaleX(0);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar1 {
  width: 100%;
  transform: rotate(45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle #bar3 {
  width: 100%;
  transform: rotate(-45deg);
  transition-duration: .5s;
}

#checkbox:checked + .toggle {
  transition-duration: .5s;
  transform: rotate(180deg);
}

@media (max-width:1080px){
    .menu ul{
        display: none;
    }

    .ham{
        display: block;
    }
}

@media (max-width:500px){
  .menu .logo img{
    width: 200px;
    height: 66px;
}
}

@media (max-width:400px){
  .menu{
    padding: 20px 30px;
  }
  .menu .logo img{
    width: 150px;
    height: 49px;
  }
}

.menu-mobile{
  position: absolute;
  right: 50px;
  top: 150px;
  width: 250px;
  background-color: black;
  border-radius: 30px;
  border: 3px solid turquoise;
  overflow: hidden;
  z-index: 1;
  display: none;
  padding: 40px 20px;
  transition: ease-in-out 700ms;
}

.menu-mobile ul{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 30px;
}

.menu-mobile li{
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-mobile li a{
  text-decoration: none;
  color: white;
  font-family: 'Lato', sans-serif;
  font-size: 20px;
  letter-spacing: 1px;
}

.menu-mobile li a:hover{
  color: turquoise;
  text-shadow: 0 0 3px turquoise;
}

@media(max-width:1080px){
    .menu-mobile.open{
        display: block;
    }
}

@media(max-width:650px){
  .menu-mobile{
    left: 50px;
    width: unset;
  }
}

@media(max-width:350px){
  .menu-mobile{
    left: 35px;
    right: 35px;
  }
}

.merci{
    text-align: center;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.merci p{
    background: black;
    padding: 70px 70px;
    font-size: 30px;
    border-radius: 20px;
    color: white;
    border: 4px solid turquoise;
}

.merci p a{
    color: rgb(204, 204, 204);
    text-shadow:0 0 2px rgb(34, 170, 156),
    0 0 4px turquoise;
}

.background{
    background: rgb(100,150,196);
    background: linear-gradient(180deg, rgba(100,150,196,1) 0%, rgba(95,158,83,1) 100%);
}

.filter{
    background: rgba(0, 0, 0, 0.4);
}


.head{
    padding: 40px 150px;
}
  
.titre{
    position: relative;
    display: flex;
    font-size: clamp(18px, 4vw, 30px);
    justify-content: center;
    align-items: center;
    color: turquoise;
    letter-spacing: 2px;
    text-align: center;
    font-family: 'Chivo', sans-serif;
    text-shadow: 4px 0 0 black, 4px 4px 0 black, 0 4px 0 black, -4px 4px 0 black, -4px 0 0 black, -4px -4px 0 black, 0 -4px 0 black, 4px -4px 0 black;
}

.block{
    padding: 120px 120px;
    display: flex;
    justify-content: center;
}

.texte{
    background: black;
    border-radius: 30px;
    border: 4px solid turquoise;
    padding: 40px 70px;
}

.texte h3{
    display: flex;
    justify-content: center;
    text-align: center;
    color: white;
    font-size: 25px;
    font-family: sans-serif;
}

.texte p{
    display: flex;
    justify-content: center;
    text-align: center;
    color: white;
    font-family: 'Poppins', sans-serif;
}

.position{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 150px 100px;
}

.boxtwo{
    position: relative;
    display: flex;
    width: 50%;    
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgb(29, 28, 28);
    border-radius: 8px;
    overflow: hidden;
    padding: 3px 3px;
}

.boxtwo::before{
    content: '';
    position: absolute;
    width: 150%;
    left: -100%;
    height: 120%;
    top: -70%;
    background: linear-gradient(0deg, turquoise, turquoise);
    transform-origin: bottom right;
    animation: animate 10s linear infinite;
}

.boxtwo::after{
    content: '';
    position: absolute;
    width: 150%;
    height: 120%;
    left: 50%;
    background: linear-gradient(0deg, turquoise, turquoise);
    transform-origin: top left;
    animation: animate 10s linear infinite;
    bottom: -70%;
} 

.boxtwo form{
    background: black;
    z-index: 10;
    padding: 60px 50px;
    border-radius: 8px;
    width: 100%;
}

.boxtwo form h3{
    font-family: 'Play', sans-serif;
    color: white;
    font-size: clamp(17px,1.9vw,30px);
    display: flex;
    justify-content: start;
    text-shadow: turquoise 1px 1px 4px;
    text-align: center;
}

.content{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px 0;
} 

.inputbox{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 50px;
}

.groupe{
    display: flex;
    flex-wrap: wrap;
    width: 45%;
    padding-bottom: 15px;
}

.groupe label{
    width: 95%;
    color: white;
    font-weight: bold;
    margin: 5px 0;
    text-shadow: turquoise 1px 2px 4px;
}

.groupe input{
    height: 40px;
    width: 95%;
    padding: 0 10px;
    border: 2px solid rgb(34, 170, 156);;
    outline-color: none; 
    border-radius: 5px;
    background-color: transparent;
    color: white;
}

.groupe input:invalid{
    color: red;
}

.groupe i{
    color: turquoise;
    margin-top: -30px;
    margin-left: 85%;
}

.groupe input::placeholder{
    color: white;
    letter-spacing: 1px;
}

.groupe-mess{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    padding-bottom: 15px;
}

.groupe-mess label{
    width: 95%;
    color: white;
    font-weight: bold;
    margin: 5px 0;
    text-shadow: #000000 1px 2px 4px;
}

.groupe-mess textarea{
    resize: none;
    width: 100%;
    height: 90px;
    border: 2px solid rgb(34, 170, 156);;
    outline-color: none; 
    border-radius: 5px;
    padding: 10px 10px;
    background-color: transparent;
    color: white;
}

.groupe-mess textarea::placeholder{
    color: white;
    font-size: 15px;
    letter-spacing: 1px;
}

.button{
    display: flex;
    justify-content: center;
}

.button button{
    background-color: transparent;
    border: 2px solid rgb(34, 170, 156);
    padding: 15px 25px;
    border-radius: 10px;
    outline: none;
    cursor: pointer;
    color: white;
    font-size: 20px;
    transition: all 300ms;
}

.button button:hover{
    scale: 1.01;
    border: 2px solid turquoise;
    box-shadow: 0 0 15px turquoise,
                0 0 25px turquoise,
}

@media(max-width:1800px){
    .boxtwo{
        width: 80%;
    }
}

@media(max-width:575px){
    .boxtwo::before{
        width: 120%;
        height: 80%;
        left: -70%;
        top: -30%;
    }
    
    .boxtwo::after{
        width: 120%;
        height: 80%;
        left: 50%;
        bottom: -30%;
    }
    
    .position{
        padding: 150px 75px;
    }
}

@media(max-width:490px){       
    .boxtwo::before{
        width: 45%;
        height: 80%;
        left: 0%;
        top: -30%;
    }
    
    .boxtwo::after{
        width: 45%;
        height: 80%;
        left: 55%;
        bottom: -30%;
    }

    .position{
        padding: 150px 25px;
    }
}

@media(max-width:1199px){
    .groupe{
        width: 100%;
    }
}

@media(max-width:715px){
    .groupe-mess textarea{
        height: 180px;
    }
}

@media(max-width:545px){
    .groupe-mess textarea{
        height: 200px;
    }

    .boxtwo form{
        padding: 40px 15px;
    }
}


@media(max-width:380px){
    .groupe i{
        margin-left: 80%;
    }

    .position{
        padding: 150px 15px;
    }
}

@keyframes animate
{
    0%
    {
        transform: rotate(0deg);
    }
    100%
    {
        transform: rotate(360deg);
    }
}